Loading...
Searching...
No Matches
osim_msgb_cb Struct Reference

APDU command body. More...

`#include <sim.h>`

## Data Fields

enum osim_apdu_case | apduc
| command-response pair case, defining the encoding of Lc and Le
uint16_t | lc
| number of bytes in the command data field Nc, which will encoded in 0, 1 or 3 bytes into Lc, depending on the case
uint16_t | le
| maximum number of bytes expected in the response data field, which will encoded in 0, 1, 2 or 3 bytes into Le, depending on the case
uint16_t | sw
| status word, composed of SW1 and SW2 bytes

## Detailed Description

APDU command body.

This structure encode a command body, as specified in ISO/IEC 7816-3:2006(E) §12.1. The data and response contents should be provided along with this structure.

## Field Documentation

## apduc

enum osim_apdu_case osim_msgb_cb::apduc

command-response pair case, defining the encoding of Lc and Le

## lc

uint16_t osim_msgb_cb::lc

number of bytes in the command data field Nc, which will encoded in 0, 1 or 3 bytes into Lc, depending on the case

## le

uint16_t osim_msgb_cb::le

maximum number of bytes expected in the response data field, which will encoded in 0, 1, 2 or 3 bytes into Le, depending on the case

## sw

uint16_t osim_msgb_cb::sw

status word, composed of SW1 and SW2 bytes

The documentation for this struct was generated from the following file:

- include/osmocom/sim/sim.h